Skip to main content
public preview

This is a proposed contract. No concrete public host or key-issuer URL is published. Every command and response is illustrative.

Audit log contract preview

Review the proposed audit-log response shape.

Proposed audit-log request

GEThttps://{your-api-host}/orgs/{org_uuid}/api/logs

Illustrates a proposed organization audit-log request.

curl -X GET "https://{your-api-host}/orgs/{org_uuid}/api/logs" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Illustrative response

{
  "logs": [
    {
      "id": "log_12345",
      "timestamp": "2025-01-10T12:00:00Z",
      "action": "instance.created",
      "actor": {
        "type": "api_key",
        "key_id": "key_abc123"
      },
      "resource": {
        "type": "instance",
        "id": "1234-5678-90ab-cdef"
      },
      "details": {
        "image": "ubuntu-20.04",
        "size": "small"
      },
      "ip_address": "203.0.113.42",
      "user_agent": "Mozilla/5.0..."
    },
    {
      "id": "log_12346",
      "timestamp": "2025-01-10T12:05:00Z",
      "action": "instance.destroyed",
      "actor": {
        "type": "api_key",
        "key_id": "key_abc123"
      },
      "resource": {
        "type": "instance",
        "id": "1234-5678-90ab-cdef"
      },
      "ip_address": "203.0.113.42",
      "user_agent": "Mozilla/5.0..."
    }
  ],
  "total": 234,
  "page": 1,
  "per_page": 50
}

Illustrative event types

The proposed contract could record these event types:

instance.created

A new instance was created

instance.destroyed

An instance was terminated

key.rotated

An API key was rotated

key.created

A new API key was created

key.revoked

An API key was revoked